Package org.apache.ignite.internal.processors.query

## Class GridQueryFinishedInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.query.GridQueryFinishedInfo

    public class GridQueryFinishedInfo
    extends Object

Info about finished query.

### Constructor Summary

Constructors
`GridQueryFinishedInfo​(Long id, UUID nodeId, String qry, GridCacheQueryType qryType, String schemaName, long startTime, long finishTime, boolean loc, boolean enforceJoinOrder, boolean lazy, boolean distributedJoins, boolean failed, @Nullable Throwable failReason, String qryInitiatorId)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `distributedJoins()`
`boolean` `enforceJoinOrder()`
`boolean` `failed()`
`@Nullable Throwable` `failReason()`
`long` `finishTime()`
`Long` `id()`
`boolean` `lazy()`
`boolean` `local()`
`UUID` `nodeId()`
`String` `query()`
`String` `queryInitiatorId()`
`GridCacheQueryType` `queryType()`
`String` `schemaName()`
`long` `startTime()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridQueryFinishedInfo

    public GridQueryFinishedInfo​(Long id,
                                 UUID nodeId,
                                 String qry,
                                 GridCacheQueryType qryType,
                                 String schemaName,
                                 long startTime,
                                 long finishTime,
                                 boolean loc,
                                 boolean enforceJoinOrder,
                                 boolean lazy,
                                 boolean distributedJoins,
                                 boolean failed,
                                 @Nullable
                                 @Nullable Throwable failReason,
                                 String qryInitiatorId)

Constructor.

Parameters:
  `id` - Query ID.
  `nodeId` - Originating node ID.
  `qry` - Query text.
  `qryType` - Query type.
  `schemaName` - Schema name.
  `startTime` - Query start time.
  `finishTime` - Query finish time.
  `loc` - Local query flag.
  `enforceJoinOrder` - Local query flag.
  `lazy` - Local query flag.
  `distributedJoins` - Local query flag.
  `failed` - Whether query is failed or not.
  `failReason` - Exception that caused query execution fail.
  `qryInitiatorId` - Query's initiator identifier.

### Method Detail

#### id

    public Long id()

Returns:
  Query ID.

#### nodeId

    public UUID nodeId()

Returns:
  Node ID.

#### query

    public String query()

Returns:
  Query text.

#### queryType

    public GridCacheQueryType queryType()

Returns:
  Query type.

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### startTime

    public long startTime()

Returns:
  Query start time.

#### finishTime

    public long finishTime()

Returns:
  Query finish time.

#### local

    public boolean local()

Returns:
  `true` if query is local.

#### enforceJoinOrder

    public boolean enforceJoinOrder()

Returns:
  Enforce join order flag.

#### lazy

    public boolean lazy()

Returns:
  Lazy flag.

#### distributedJoins

    public boolean distributedJoins()

Returns:
  Distributed joins.

#### failed

    public boolean failed()

Returns:
  `true` if query is failed.

#### failReason

    @Nullable
    public @Nullable Throwable failReason()

Returns:
  Exception that caused query execution fail, or `null` if query succeded.

#### queryInitiatorId

    public String queryInitiatorId()

Returns:
  Query's originator string (client host+port, user name, job name or any user's information about query initiator).

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`